package zinger.mailer;

import java.io.*;
import java.util.*;

import javax.mail.*;
import javax.mail.internet.*;

public class Main
{
    public static class PassAuth extends Authenticator
    {
        protected final Properties config;

        public PassAuth(Properties config)
        {
            this.config = config;
        }

        protected PasswordAuthentication getPasswordAuthentication()
        {
            return new PasswordAuthentication(config.getProperty("mail.user"), config.getProperty("mail.password"));
        }
    }

    public static void main(String[] args)
    {
        try
        {
            Properties config = new Properties(System.getProperties());
            try
            {
                config.load(new BufferedInputStream(new FileInputStream(args[0])));
            }
            catch(IOException ex)
            {
                ex.printStackTrace();
            }
            Session session = Session.getInstance(config, new Main.PassAuth(config));
            MimeMessage msg = new MimeMessage(session, System.in);
            msg.setSentDate(new Date());
            msg.setSubject(args[1]);
            List recipients = new ArrayList(args.length);
            for(int i = 2; i < args.length; ++i)
            {
                try
                {
                    recipients.add(new InternetAddress(args[i]));
                }
                catch(AddressException ex)
                {
                    ex.printStackTrace();
                }
            }
            msg.addRecipients(Message.RecipientType.TO, (Address[])recipients.toArray(new Address[recipients.size()]));
            msg.setFrom();
            Transport.send(msg);
        }
        catch(MessagingException ex)
        {
            ex.printStackTrace();
        }
    }
}